Remove exclusion with asterisk failure

Steps to reproduce:

  1. add exclusion to */folder_b

  2. add mounts to folder_a that has folder_b inside

  3. add exclusion to folder_a/folder_b

  4. clear excusion */folder_b and got error:
    sync> exclusions clear */authorization
    Failed to clear exclusion for /home/y6ep3/.config/dunst.
    Failed to clear exclusion for /home/y6ep3/.config/i3status.
    /tmp/_MEI7UV4mY/raven/conf/remote.py:91: UserWarning: Transport selection via DSN is deprecated. You should explicitly pass the transport class to Client() instead.
    Traceback (most recent call last):
    File “handler/sentry.py”, line 10, in shell_framework.handler.sentry.handle_unexpected_exception.wrapper
    File “handler/http.py”, line 8, in shell_framework.handler.http.handle_requests_exception.wrapper
    File “handler/gateway.py”, line 9, in shell_framework.handler.gateway.handle_gateway_exception.wrapper
    File “handler/prompt.py”, line 7, in shell_framework.handler.prompt.handle_control_c.wrapper
    File “handler/exclusions.py”, line 23, in handler.exclusions.process
    File “handler/exclusions.py”, line 209, in handler.exclusions._clear
    File “handler/exclusions.py”, line 227, in handler.exclusions._clear_path
    TypeError: ‘<’ not supported between instances of ‘dict’ and ‘dict’

    During handling of the above exception, another exception occurred:

    Traceback (most recent call last):
    File “run.py”, line 3, in
    File “sync_enc.py”, line 84, in sync_enc.main
    File “shell.py”, line 52, in shell.process
    File “shell.py”, line 72, in shell_framework.shell.process
    File “shell.py”, line 130, in shell_framework.shell._dispatch
    File “handler/sentry.py”, line 14, in shell_framework.handler.sentry.handle_unexpected_exception.wrapper
    File “controller/sentry.py”, line 17, in shell_framework.controller.sentry.handle_unexpected_exception
    File “controller/sentry.py”, line 32, in shell_framework.controller.sentry._sentry_unexpected_exception
    File “site-packages/raven/base.py”, line 171, in init
    File “site-packages/raven/base.py”, line 263, in set_dsn
    File “site-packages/raven/conf/remote.py”, line 115, in from_string
    raven.exceptions.InvalidDsn: Invalid Sentry DSN: ‘7dcaa79ad54d4b6baa219b8470f9ed62@sentry.io/1382417’
    [18037] Failed to execute script run

I tried to manually remove exclusions from ~/oxygen/sync/rules.json but now after run exclusions list i got:
sync> exclusions
/tmp/_MEI7Xj5LF/raven/conf/remote.py:91: UserWarning: Transport selection via DSN is deprecated. You should explicitly pass the transport class to Client() instead.
Traceback (most recent call last):
File “handler/sentry.py”, line 10, in shell_framework.handler.sentry.handle_unexpected_exception.wrapper
File “handler/http.py”, line 8, in shell_framework.handler.http.handle_requests_exception.wrapper
File “handler/gateway.py”, line 9, in shell_framework.handler.gateway.handle_gateway_exception.wrapper
File “handler/prompt.py”, line 7, in shell_framework.handler.prompt.handle_control_c.wrapper
File “handler/exclusions.py”, line 27, in handler.exclusions.process
File “handler/exclusions.py”, line 61, in handler.exclusions._list
TypeError: ‘<’ not supported between instances of ‘dict’ and ‘dict’

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "run.py", line 3, in <module>
  File "sync_enc.py", line 84, in sync_enc.main
  File "shell.py", line 52, in shell.process
  File "shell.py", line 72, in shell_framework.shell.process
  File "shell.py", line 130, in shell_framework.shell._dispatch
  File "handler/sentry.py", line 14, in shell_framework.handler.sentry.handle_unexpected_exception.wrapper
  File "controller/sentry.py", line 17, in shell_framework.controller.sentry.handle_unexpected_exception
  File "controller/sentry.py", line 32, in shell_framework.controller.sentry._sentry_unexpected_exception
  File "site-packages/raven/base.py", line 171, in __init__
  File "site-packages/raven/base.py", line 263, in set_dsn
  File "site-packages/raven/conf/remote.py", line 115, in from_string
raven.exceptions.InvalidDsn: Invalid Sentry DSN: '7dcaa79ad54d4b6baa219b8470f9ed62@sentry.io/1382417'
[18443] Failed to execute script run

I’ll get the same error when I try to remove exclusion with not exist path

Thanks for the detailed information. One of our engineers is looking into this, and we have already been able to confirm the issue. I’ll update again when we can issue a fix for the problem.

Best,
-Jeff